Podręcznik PHP
Poprzedni |  | Następny

# key

(PHP 3, PHP 4, PHP 5)

key -- Pobiera klucz z tablicy asocjacyjnej

## Opis

mixed key ( array &tablica )

key() zwraza klucz bieżącego elementu z tablicy asocjacyjnej.

Przykład 1. Przykład użycia funkcji key()
`<?php $tablica = array( 'owoc1' => 'jabłko', 'owoc2' => 'pomarańcza', 'owoc3' => 'winogrono', 'owoc4' => 'jabłko', 'owoc5' => 'jabłko'); // poniższa pętla wyświetla wszystkie klucze w tablicy asocjacyjnej, gdzie // wartość jest równa "jabłko" while ($nazwa_owocu = current($tablica)) { if ($nazwa_owocu == 'jabłko') { echo key($tablica).'<br />'; } next($tablica); } ?>`

Patrz także: current() i next().

Poprzedni | Spis treści | Następny
in_array | Początek rozdziału | krsort